// sample usage of if tag:
// <%@ taglib uri="/empTaglib" prefix="emp" %>
// ...
// <emp:if condition="<% test %> == 123">
//   <emp:then>...</emp:then>
//   <emp:else>...</emp:else>
// </emp:if>

package de.emprise.taglib;

// import needed for interface "Tag"
import javax.servlet.jsp.tagext.*;
// import needed for class PageContext, JspException, ...
import javax.servlet.jsp.*;

public class IfTag extends BodyTagSupport {

  // Class version string
  public static final String CLASS_VERSION = "IfTag.java,v 1.0, 2001-07-19, Michael Maretzke";

  // Members for attributes connected to tag
  private boolean _condition;
  
  // 
  // Attribute getter / setter 
  //
  
  // Attribute getter / setter for "condition"
  public void setCondition(String strcond) {
  }  
  public void setCondition(boolean condition) {
    _condition = condition;
  }
  public boolean getCondition() {
    return _condition;
  }

  // Called on a Tag handler to release state. The page compiler guarantees this method will be 
  // called on all tag handlers, but there may be multiple invocations on doStartTag and doEndTag 
  // in between.
  public void release () {
    _condition = false;
  }

  // Process the start tag for this instance.
  public int doStartTag () throws JspException {
    return EVAL_PAGE; // go on evaluating the page
  }

  // Process the end tag. This method will be called on all Tag objects.
  public int doEndTag () throws JspException {
    return EVAL_PAGE;  
  }  
}
