// sample usage of if tag:
// <%@ taglib uri="/empTaglib" prefix="emp" %>
// ...
// <emp:if condition="<% test %> == 123">
//   <emp:then>...</emp:then>
//   <emp:else>...</emp:else>
// </emp:if>

package de.emprise.taglib;

// import needed for class "BodyTagSupport"
import javax.servlet.jsp.tagext.*;
// import needed for class PageContext, JspException, ...
import javax.servlet.jsp.*;
import java.io.*;

public class ThenTag extends BodyTagSupport {

  // Class version string
  public static final String CLASS_VERSION = "ThenTag.java,v 1.0, 2001-07-19, Michael Maretzke";

  // Process the start tag for this instance.
  public int doStartTag () throws JspException {
    IfTag parent = (IfTag) findAncestorWithClass(this, IfTag.class);
    if (parent == null)
      throw new JspException("<then> tag is not inside if");
     
    return EVAL_BODY_TAG;
  }
  
  // Process the end tag. This method will be called on all Tag objects.
  public int doAfterBody () {
    IfTag parent = (IfTag) findAncestorWithClass(this, IfTag.class);
    if (parent.getCondition()) {
      try {
        BodyContent body = getBodyContent();
        JspWriter out = body.getEnclosingWriter();
        out.print(body.getString());
      }
      catch(IOException e) {
        System.out.println("Error in ThenTag: " + e);
      }
    }
    return SKIP_BODY;    
  }  
}
